Package org.silverpeas.components.gallery.delegate

## Class MediaDataCreateDelegate

- java.lang.Object
- - org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate
  - - org.silverpeas.components.gallery.delegate.MediaDataCreateDelegate

-     public class MediaDataCreateDelegate
      extends AbstractMediaDataDelegate

  Author:
    Yohann Chastagnier

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate

      `AbstractMediaDataDelegate.HeaderData`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MediaDataCreateDelegate​(MediaType mediaType, String language, String albumId)` |
    `MediaDataCreateDelegate​(MediaType mediaType, String language, String albumId, List<org.silverpeas.core.util.file.FileItem> parameters)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Media` | `newInstance()` | Gets a new media instance according to known media type.

    - ### Methods inherited from class org.silverpeas.components.gallery.delegate.AbstractMediaDataDelegate

      `getAlbumId, getFileItem, getHeaderData, getLanguage, getMediaType, isForm, isHeaderData, isSkipEmptyValues, setForm, updateForm, updateHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MediaDataCreateDelegate

          public MediaDataCreateDelegate​(MediaType mediaType,
                                         String language,
                                         String albumId,
                                         List<org.silverpeas.core.util.file.FileItem> parameters)

    - #### MediaDataCreateDelegate

          public MediaDataCreateDelegate​(MediaType mediaType,
                                         String language,
                                         String albumId)

  - ### Method Detail

    - #### newInstance

          public Media newInstance()

      Gets a new media instance according to known media type.
      Returns:
        a media.